Get Report Job

Retrieves information of a specified report job.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

GET /api/sonar/report-jobs/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/report-jobs/e2fad16d-8076-4c91-9d69-9419c5e6d300
Request Parameter
KeyRequiredTypeDescriptionNote
guidOStringReport generation job GUID36 characters

Success Response

{
  "job": {
    "guid": "e2953442-a720-44af-b9b7-1db685a1a9d4",
    "from": "2024-08-12 00:00:00+0900",
    "to": "2024-08-13 00:00:00+0900",
    "submit_time": "2024-08-13 17:16:52+0900",
    "finish_time": "2024-08-13 17:16:52+0900",
    "error": null
  }
}
  • job (Map): Report generation job
    • guid (String): Report generation job GUID
    • title (String): Report template title
    • from (String): Start date and time of the reporting period (yyyy-MM-dd HH:mm:ssZ)
    • to (String): End date and time of the reporting period (yyyy-MM-dd HH:mm:ssZ)
    • submit_time (String): Submission date and time (yyyy-MM-dd HH:mm:ssZ)
    • finish_time (String): Completion date and time (yyyy-MM-dd HH:mm:ssZ)
    • error (String): Error message

Error Responses

Report job is not found

HTTP status code 200

{
  "job": null
}
Identifier is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
No privilege to get a report job

HTTP status code 500

{
    "error_code": "illegal-state",
    "error_msg": "no-permission"
}